part of gtag_interop.js;

/// Runs global site tag commands.
final GtagFunction gtag = GtagFunction();

/// Runs global site tag commands.
class GtagFunction {

  /// The name of the `gtag.js` global object.
  String globalObject = 'gtag';

  /// Runs the specified global site tag [command].
  void call(String command, [Object valueOrParameters, Object parameters]) =>
    js.callMethod(dom.window, globalObject, [command, valueOrParameters, parameters]);
}
